const api = require("../../utils/request.js");
Page({

  /**
   * 页面的初始数据
   */
  data: {
    results:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getList()
  },
  getList: function() {
    wx.showLoading({
      title: '正在加载...',
    })
    api.request('/crm/candidate/my/', 'GET').then(res=>{
      wx.hideLoading()
      this.setData({
        results:res.data,
      })
    }).catch(
      wx.hideLoading()
    )
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  scanC: function() {
    wx.scanCode({
      onlyFromCamera: true,
      success(res) {
        console.log(res)
        let id = res.result.split('=')[1]
        wx.navigateTo({
          url: 'detail?id=' + id,
        })
      }
    })
  }
})